## net.sf.saxon.instruct
Class DummyNamespaceResolver

    java.lang.Object
      |
      +--net.sf.saxon.instruct.DummyNamespaceResolver

All Implemented Interfaces:
  NamespaceResolver, java.io.Serializable

public final class DummyNamespaceResolver
extends java.lang.Object
implements java.io.Serializable, NamespaceResolver

A dummy namespace resolver used when validating QName-valued attributes written to the result tree. The namespace node might be created after the initial validation of the attribute, so in the first round of validation we only check the lexical form of the value, and we defer prefix checks until later.

See Also:
  Serialized Form

Method Summary
`int` `getFingerprint(java.lang.String qname, boolean useDefault, NamePool pool)` Use this NamespaceContext to resolve a lexical QName
`static DummyNamespaceResolver` `getInstance()` Return the singular instance of this class
`java.lang.String` `getURIForPrefix(java.lang.String prefix, boolean useDefault)` Get the namespace URI corresponding to a given prefix.
`java.util.Iterator` `iteratePrefixes()` Get an iterator over all the prefixes declared in this namespace context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DummyNamespaceResolver getInstance()

  Return the singular instance of this class

  Returns:
    the singular instance

### getURIForPrefix

    public java.lang.String getURIForPrefix(java.lang.String prefix,
                                            boolean useDefault)

  Get the namespace URI corresponding to a given prefix. This implementation returns a dummy URI

  Specified by:
    `getURIForPrefix` in interface `NamespaceResolver`
  Parameters:
    `prefix` - the namespace prefix
    `useDefault` - true if the default namespace is to be used when the prefix is ""
  Returns:
    the uri for the namespace, or null if the prefix is not in scope

### getFingerprint

    public int getFingerprint(java.lang.String qname,
                              boolean useDefault,
                              NamePool pool)

  Use this NamespaceContext to resolve a lexical QName

  Specified by:
    `getFingerprint` in interface `NamespaceResolver`
  Parameters:
    `qname` - the lexical QName; this must have already been lexically validated
    `useDefault` - true if the default namespace is to be used to resolve an unprefixed QName
    `pool` - the NamePool to be used
  Returns:
    the integer fingerprint that uniquely identifies this name

### iteratePrefixes

    public java.util.Iterator iteratePrefixes()

  Get an iterator over all the prefixes declared in this namespace context. This will include the default namespace (prefix="") and the XML namespace where appropriate

  Specified by:
    `iteratePrefixes` in interface `NamespaceResolver`